Get Order by ID
curl --request GET \
--url https://api.roxom.com/v1/orders/{orderId} \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Signature: <api-key>'{
"data": {
"order": {
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountFilled": "<string>",
"createdAt": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"px": "<string>",
"qty": "<string>",
"size": "<string>",
"symbol": "<string>",
"cancelAt": 123,
"clientOrderId": "<string>",
"triggerPx": "<string>",
"triggeredAt": 123
}
},
"error": true
}Orders
Get Order by ID
Retrieve detailed information about a specific open order by its unique order ID.
GET
/
v1
/
orders
/
{orderId}
Get Order by ID
curl --request GET \
--url https://api.roxom.com/v1/orders/{orderId} \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Signature: <api-key>'{
"data": {
"order": {
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountFilled": "<string>",
"createdAt": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"px": "<string>",
"qty": "<string>",
"size": "<string>",
"symbol": "<string>",
"cancelAt": 123,
"clientOrderId": "<string>",
"triggerPx": "<string>",
"triggeredAt": 123
}
},
"error": true
}Documentation Index
Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Your API key
The signature of the request
Path Parameters
Query Parameters
Available options:
sats, btc Last modified on May 14, 2026
Was this page helpful?
โI